<?php
/*
Plugin Name: Development Mode for Jetpack
Description: Use select Jetpack features that do not require a connection to WordPress.com servers
Version: 1.0.2
Author: Leland Fiegel
Author URI: https://le.land/
Text Domain: development-mode-for-jetpack
License: GPLv2 or later
License URI: LICENSE
*/

/**
 * Ensure Jetpack has loaded before checking if Jetpack class exists.
 *
 * Without hooking into plugins_loaded, a plugin beginning with 'D' would load
 * before a plugin beginning with 'J' and a class_exists check would return a
 * false negative, which we don't want.
 *
 * @props https://pippinsplugins.com/checking-dependent-plugin-active/
 */
function development_mode_for_jetpack_init() {
	/**
	 * Enable Jetpack Development Mode
	 *
	 * @url https://jetpack.com/support/development-mode/
	 */
	add_filter( 'jetpack_development_mode', '__return_true' );
}
add_action( 'plugins_loaded', 'development_mode_for_jetpack_init' );
